(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["elgo-rich"] = factory();
	else
		root["elgo-rich"] = factory();
})(self, () => {
return /******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ErrorMessages": () => (/* binding */ ErrorMessages),
/* harmony export */   "isPrimeNumber": () => (/* binding */ isPrimeNumber)
/* harmony export */ });
// import Editor from './editor';
//
// export default Editor;
var ErrorMessages;
(function (ErrorMessages) {
  ErrorMessages["INVALID_NUMBER"] = "Number must be greater then 1";
})(ErrorMessages || (ErrorMessages = {}));
// * A prime number is a natural number greater than 1 that is not a product of two smaller natural numbers.
var isPrimeNumber = function isPrimeNumber(num) {
  var isPrime = true;
  if (num <= 1) {
    throw new Error(ErrorMessages.INVALID_NUMBER);
  }
  if (num === 2) {
    return isPrime;
  }
  for (var i = 2; i <= num / 2; i++) {
    if (num % i === 0) {
      isPrime = false;
    }
  }
  return isPrime;
};

/******/ 	return __webpack_exports__;
/******/ })()
;
});